package x64

import "git.akyoto.dev/cli/q/src/build/cpu"

// PopReg pops a value from the stack and saves it into the register.
func PopReg(code []byte, register cpu.Register) []byte {
	if register >= 8 {
		code = append(code, REX(0, 0, 0, 1))
		register -= 8
	}

	return append(
		code,
		0x58+byte(register),
	)
}
